# OpenStack

# Artifacts

class `glareclient.v1.artifacts.``Controller`(http_client, type_name=None)

  Bases: `object`

  `activate`(artifact_id, type_name=None)

    Set artifact status to ‘active’.

    Parameters

      artifact_id – ID of the artifact to get.

  `add_external_location`(artifact_id, blob_property, data, type_name=None)

    Add external location.

    Parameters

      - artifact_id – ID of the artifact to download a blob

      - blob_property – blob property name

  `add_tag`(artifact_id, tag_value, type_name=None)

    Add tag to artifact.

    Parameters

      - artifact_id – ID of the artifact to add a tag

      - tag_value – value of the tag to add

  `create`(name, version='0.0.0', type_name=None, **kwargs)

    Create an artifact of given type and version.

    Parameters

      - name – name of creating artifact.

      - version – semver string describing an artifact version

  `deactivate`(artifact_id, type_name=None)

    Set artifact status to ‘deactivated’.

    Parameters

      artifact_id – ID of the artifact to get.

  `delete`(artifact_id, type_name=None)

    Delete an artifact and all its data.

    Parameters

      artifact_id – ID of the artifact to delete.

  `download_blob`(artifact_id, blob_property, type_name=None, do_checksum=True)

    Get blob data.

    Parameters

      - artifact_id – ID of the artifact to download a blob

      - blob_property – blob property name

      - do_checksum – Enable/disable checksum validation.

  `get`(artifact_id, type_name=None)

    Get information about an artifact.

    Parameters

      artifact_id – ID of the artifact to get.

  `get_by_name`(name, version='latest', type_name=None)

    Get information about an artifact by name.

    Parameters

      - name – name of the artifact to get.

      - version – version of the artifact to get

      - type_name – type name of the artifact

  `get_type_list`()

    Get list of type names.

  `get_type_schema`(type_name=None)

    Show schema of type name.

  `list`(type_name=None, **kwargs)

    Retrieve a listing of artifacts objects.

    Parameters

      page_size – Number of artifacts to request in each paginated request.

    Returns

      generator over list of artifacts.

  `publish`(artifact_id, type_name=None)

    Set artifact visibility to ‘public’.

    Parameters

      artifact_id – ID of the artifact to get.

  `reactivate`(artifact_id, type_name=None)

    Set artifact status to ‘active’.

    Parameters

      artifact_id – ID of the artifact to get.

  `remove_external_location`(artifact_id, blob_property, type_name=None)

    Remove external location.

    Parameters

      - artifact_id – ID of the artifact with external location to be removed

      - blob_property – blob property name

  `remove_tag`(artifact_id, tag_value, type_name=None)

    Remove tag from artifact.

    Parameters

      - artifact_id – ID of the artifact to remove a tag

      - tag_value – value of the tag to remove

  `update`(artifact_id, type_name=None, remove_props=None, **kwargs)

    Update attributes of an artifact.

    Parameters

      - artifact_id – ID of the artifact to modify.

      - remove_props – List of property names to remove

      - **kwargs – Artifact attribute names and their new values.

  `upload_blob`(artifact_id, blob_property, data, type_name=None, content_type=None)

    Upload blob data.

    Parameters

      - artifact_id – ID of the artifact to download a blob

      - blob_property – blob property name